@charset "UTF-8";

[class*="transkey"] {
	margin: 0;
	padding: 0;
	border: 0;
}

[class*="transkey"] a:focus {
	outline: none;
}

.transkey_div {
	background-position: 50%;
	background-repeat: no-repeat;
	background-size: 100%;
	border-radius: 4px;
	background-color: white;
	display: none;
	position: absolute;
	z-index: 1000;
}

.transkey_layout {
	border-radius: 4px;
	display: none;
	position: absolute;
	z-index: 1001;
}

.transkey_row {
	position: relative;
	z-index: 1002;
}

.transkey_key {
	font-size: 1px;
	color: rgba(0, 0, 0, 0);
	float: left;
	position: relative;
	z-index: 1003;
	border-radius: 3px;
	border: 2px solid;
	border-color: rgba(0, 0, 0, 0);
}

.transkey_key a {
	display: block;
	width: 100%;
	height: 100%;
}

.transkey_key a:active {
	background-color: rgba(22, 176, 236, 0.63);
	border-color: #00CED1;
}

.transkey_key a:focus {
	outline: none;
}

.transkey_qwerty1_div {
	width: 320px;
	height: 231px;
}

.transkey_qwerty1_layout {
	width: 320px;
	height: 231px;
	background-size: 320px 231px;
}

.transkey_qwerty1_div {
	width: 320px;
	height: 231px;
}

.transkey_qwerty1_row {
	width: 320px;
	height: 45px;
	margin-top: 1px;
}

.transkey_qwerty1_key1 {
	width: 24px;
	height: 40px;
	margin-left: 2px;
}

.transkey_qwerty1_key2 {
	width: 24px;
	height: 40px;
}

.transkey_qwerty1_del {
	width: 53px;
	height: 42px;
}

.transkey_qwerty1_sp {
	width: 84px;
	height: 42px;
}

.transkey_qwerty1_clear {
	width: 84px;
	height: 42px;
}

.transkey_qwerty1_done {
	width: 140px;
	height: 42px;
}

.transkey_qwerty2_div {
	width: 360px;
	height: 231px;
}

.transkey_qwerty2_layout {
	width: 360px;
	height: 231px;
	background-size: 360px 231px;
}

.transkey_qwerty2_row {
	width: 360px;
	height: 45px;
	margin-top: 1px;
}

.transkey_qwerty2_key1 {
	width: 28px;
	height: 40px;
	margin-left: 1px;
}

.transkey_qwerty2_key2 {
	width: 28px;
	height: 40px;
}

.transkey_qwerty2_del {
	width: 62px;
	height: 42px;
}

.transkey_qwerty2_sp {
	width: 94px;
	height: 42px;
}

.transkey_qwerty2_clear {
	width: 94px;
	height: 42px;
}

.transkey_qwerty2_done {
	width: 159px;
	height: 42px;
}

.transkey_qwerty3_div {
	width: 600px;
	height: 400px;
}

.transkey_qwerty3_layout {
	width: 600px;
	height: 400px;
	background-size: 600px 400px;
}

.transkey_qwerty3_row {
	width: 600px;
	height: 77px;
	margin-top: 3px;
}

.transkey_qwerty3_key1 {
	width: 49px;
	height: 72px;
	margin-left: 2px;
}

.transkey_qwerty3_key2 {
	width: 49px;
	height: 72px;
	margin-left: 1px;
}

.transkey_qwerty3_del {
	width: 103px;
	height: 72px;
}

.transkey_qwerty3_sp {
	width: 160px;
	height: 72px;
}

.transkey_qwerty3_clear {
	width: 160px;
	height: 72px;
}

.transkey_qwerty3_done {
	width: 266px;
	height: 72px;
}

.transkey_number1_div {
	width: 320px;
	height: 134px;
}

.transkey_number1_layout {
	width: 320px;
	height: 134px;
	background-size: 320px 134px;
	display: block;
}

.transkey_number1_row {
	width: 100%;
	height: 44px;
	margin-top: 1px;
}

.transkey_number1_key1 {
	width: 48px;
	height: 41px;
	margin-left: 1px;
}

.transkey_number1_key2 {
	width: 48px;
	height: 41px;
	margin-left: 1px;
}

.transkey_number1_del {
	width: 75px;
	height: 36px;
}

.transkey_number1_clear {
	width: 75px;
	height: 36px;
}

.transkey_number1_done {
	width: 153px;
	height: 36px;
}

.transkey_number2_div {
	width: 360px;
	height: 134px;
}

.transkey_number2_layout {
	width: 360px;
	height: 134px;
	background-size: 360px 134px;
	display: block;
}

.transkey_number2_row {
	width: 100%;
	height: 44px;
	margin-top: 1px;
}

.transkey_number2_key1 {
	width: 55px;
	height: 41px;
	margin-left: 1px;
}

.transkey_number2_key2 {
	width: 55px;
	height: 41px;
}

.transkey_number2_del {
	width: 86px;
	height: 36px;
}

.transkey_number2_clear {
	width: 84px;
	height: 36px;
}

.transkey_number2_done {
	width: 175px;
	height: 36px;
}

.transkey_number3_div {
	width: 600px;
	height: 200px;
}

.transkey_number3_layout {
	width: 600px;
	height: 200px;
	background-size: 600px 200px;
	display: block;
}

.transkey_number3_row {
	width: 600px;
	height: 66px;
	margin-top: 1px;
}

.transkey_number3_key1 {
	width: 94px;
	height: 63px;
	margin-left: 1px;
}

.transkey_number3_key2 {
	width: 94px;
	height: 63px;
	margin-left: 2px;
}

.transkey_number3_del {
	width: 140px;
	height: 58px;
	margin: 0px 2px 0px 3px;
}

.transkey_number3_clear {
	width: 140px;
	height: 58px;
	position: relative;
	margin: 0px 2px 0px 3px;
}

.transkey_number3_done {
	width: 290px;
	height: 58px;
	position: relative;
	margin: 0px 2px 0px 3px;
}

.transkey_input_div {
	position: absolute;
	display: none;
	height: 150px;
	background : round;
    background-color: rgb(255, 255, 255);
	border-radius: 30px;
	border: 1px solid;
	border-color: rgb(217, 218, 226);
}

.transkey_input {
	position: absolute;
	font-size: xx-large;
	width: 90%;
	height: 37px;
    background-color: rgb(255, 255, 255);
	border-bottom: 2px solid;
	border-color: #727B86;
	margin-right: 5%;
    margin-left: 5%;
    top: 50px;
}

.transkey_input2 {
	position: relative;
	font-size: xx-large;
	text-align: center;
	height: 37px;
	width: 37px;
    background-color: rgb(255, 255, 255);
	border-bottom: 2px solid;
	border-color: #727B86;
    top: 50px;
}

.transkey_input_label {
	position: absolute;
	padding-top: 10px;
	top:10%;
	left:5%;
	font-size:larger;
	font-weight:BOLD;
	color:#334569;
}

.dv_transkey_disp {
	height: 55px;
	vertical-align: middle;
    background-color: rgb(255, 255, 255);
    border-bottom: 1px rgb(217, 218, 226) solid;
    border-top: 1px rgb(255, 255, 255) solid;
    background-repeat: no-repeat;
}
.dv_transkey_disp_a {
	float: left;
	width: 200px;
	height: 24px;
	margin-left: 10px;
	margin-top: 15px;
	background-image: url(../../raon_v2/transkey_mobile/images/mtk_display_kb.png);
}

.dv_transkey_licenseType {
	float: left;
	width: 320px;
	height: 24px;
    background-color: white;
}

.dv_transkey_disp_a a {selector-dummy: expression(this.hideFocus=true);}

.dv_transkey_disp_b {
	width: 20px;
	height: 20px;
	background-image: url(../../raon_v2/transkey_mobile/images/close_kb.png);
	float: right;
	margin-right: 17px;
	margin-top: 17px;
}

.dv_transkey_disp_b_not_input{
	width: 18px;
	height: 18px;
	background-image: url(../../raon_v2/transkey_mobile/images/close.png);
	float: right;
	margin: 5px;
	margin-top: 20px;
} 

.dv_transkey_div_a {
	background-color: rgb(231, 228, 225);/*�뜝�럡�뀭�뜝�럩�젷�뜝�럡�뀞 �뛾�룄�쀧몭�엪�삕繹먲옙*/
}

.dv_transkey_div_a_n {
	background-color: rgb(255, 255, 255);/*�뜝�럡�뀭�뜝�럩�젷�뜝�럡�뀞 �뛾�룄�쀧몭�엪�삕繹먲옙*/
}

.dv_transkey_div_b {
	background-color: rgb(255, 204, 0);/*�뜝�럩�꼪�뜝�럩逾�, �뜝�럩肉��뜝�럩�졑�뜝�럩�걦占쎈쇀�뜝占� �뛾�룄�쀧몭�엪�삕繹먲옙*/
}

.dv_transkey_end {
	border: 0px !important;
}

.dv_transkey_div2 {
	z-index: 1000;
	height: 60px;
	float: left;
	position: relative;
	width: 102px;
	border-right: 1px solid;
	border-color: rgb(217, 218, 226);/*�뜝�럡�뀞 �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
}

.dv_transkey_div_2 {
	height: 60px;
	border-bottom: 1px solid;
	border-color: rgb(217, 218, 226);/*�뜝�럡�뀞�솻洹ｏ옙獄�占� �뜝�럡��占쎄껀�뜝占� �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
	text-align: center;
}

.dv_transkey_div2_n {
	z-index: 1000;
	height: 60px;
	float: left;
	position: relative;
	width: 102px;
	border-right: 1px solid;
	border-color: rgb(217, 218, 226);/*�뜝�럡�뀞 �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
}

.dv_transkey_div_2_n {
	height: 60px;
	border-bottom: 1px solid;
	border-color: rgb(217, 218, 226);/*�뜝�럡�뀞�솻洹ｏ옙獄�占� �뜝�럡��占쎄껀�뜝占� �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
	text-align: center;
}

.dv_transkey_div2_1 {
	background-size: 388px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 16px;
	width: 30px;
	height: 35px;
}

.dv_transkey_div2_2 {
	background-size: 388px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 16px;
	width: 35px;
	height: 35px;
}

.dv_transkey_div2_3 {
	background-size: 318px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 16px;
	width: 30px;
	height: 35px;
}

.dv_transkey_div3 {
	width: 308px;
	height: 60px;
	border-right: 1px solid;
	border-color: rgb(217, 218, 226);/*�뜝�럥諭잌뜝�럥�빢�뜝�럡�뀞 �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
	float: left;
	text-align: center;
}

.dv_transkey_div3_n {
	width: 308px;
	height: 60px;
	border-right: 1px solid;
	border-color: rgb(255, 255, 255);/*�뜝�럥諭잌뜝�럥�빢�뜝�럡�뀞 �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
	float: left;
	text-align: center;
}

.dv_transkey_div3_2 {
	background-size: 388px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 18px;
	width: 42px;
	height: 27px;
	color: rgb(255, 255, 255);
}

.dv_transkey_div3_3 {
	background-size: 388px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 18px;
	width: 63px;
	height: 24px;
	color: rgb(255, 255, 255);
	color: rgb(79, 79, 79);
}

.dv_transkey_div3_4 {
	background-size: 318px 250px;
	background-repeat: no-repeat;
	margin: auto;
	margin-top: 18px;
	width: 42px;
	height: 27px;
	color: rgb(255, 255, 255);
}

@media (max-height:699px) and (orientation: portrait){
	.dv_transkey_div_nHeight{
		height : 260px; /*number div height*/
	}
	.dv_transkey_div_nHeight2{
	height : 203px;/*number div height*/
	}
	.dv_transkey_div_qHeight{
		height : 310px; /*qwerty div height*/
	}
	.dv_transkey_div_qHeight2{
		height : 254px;/*qwerty div height useInput*/
	}
	.dv_transkey_div2_Height{
		height : 50px; /*number/qwerty key div height*/
	}
	.dv_transkey_div2_2_nTop{
		margin-top: 11px; /*number key position*/
	}
	.dv_transkey_div3_3_nTop{
		margin-top: 14px;/*number 'done', 'clear' key position*/
	}
	.dv_transkey_div2_2_qTop{
		margin-top: 7px;/*qwerty key position*/
	}
	.dv_transkey_div3_3_qTop{
		margin-top: 14px;/*qwerty 'a/@','clear', 'done' key position*/
	}
}
@media (min-height:700px){
	.dv_transkey_div_nHeight{
	height : 300px; /*number div height*/
	}
	.dv_transkey_div_nHeight2{
	height : 243px;/*number div height*/
	}
	.dv_transkey_div_qHeight{
		height : 360px;/*qwerty div height*/
	}
	.dv_transkey_div_qHeight2{
		height : 304px;/*qwerty div height useInput*/
	}
	.dv_transkey_div2_Height{
		height : 60px;/*number/qwerty key div height*/
	}
	.dv_transkey_div2_2_nTop{
		margin-top: 16px;/*number key position*/
	}
	.dv_transkey_div3_3_nTop{
		margin-top: 17px;	/*number 'done', 'clear' key position*/
	}
	.dv_transkey_div2_2_qTop{
		margin-top: 13px;/*qwerty key position*/
	}
	.dv_transkey_div3_3_qTop{
		margin-top: 17px;/*qwerty 'a/@','clear', 'done' key position*/
	}
}
@media (max-height:400px){
	.dv_transkey_div_nHeight{
	height : 240px;/*number div height*/
	}
	.dv_transkey_div_nHeight2{
	height : 183px;/*number div height*/
	}
	.dv_transkey_div_qHeight{
		height : 285px;/*qwerty div height*/
	}
	.dv_transkey_div_qHeight2{
		height : 229px;/*qwerty div height useInput*/
	}
	.dv_transkey_div2_Height{
		height : 45px;/*number/qwerty key div height*/
	}
	.dv_transkey_div2_2_nTop{
		margin-top: 8px;/*number key position*/
	}
	.dv_transkey_div3_3_nTop{
		margin-top: 12px;/*number 'done', 'clear' key position*/
	}
	.dv_transkey_div2_2_qTop{
		margin-top: 6px;/*qwerty key position*/
	}
	.dv_transkey_div3_3_qTop{
		margin-top: 12px;/*qwerty 'a/@','clear', 'done' key position*/
	}
}
.dv_transkey_div {
	position: absolute;
	border: 1px solid;

	background-color: rgb(255, 255, 255);/*�뜝�럡�뀞�솻洹ｏ옙獄�占� �뜝�럩�쓧嶺뚳퐦�삕 �뛾�룄�쀧몭�엪�삕繹먲옙*/
	border-color: rgb(217, 218, 226);/*�뜝�럡�뀞�솻洹ｏ옙獄�占� �뜝�럩�뇶占썩뫅�삕 �뜝�럩逾у뜝�럩逾ε뜝�럡�돰*/
	z-index: 9999;
	display: none;
}

.transkey_warning {
	position: absolute;
	width: 100%;
	text-align: center;
	font-size: 12px;
	color: tomato;
	font-family: Dotum, '�뜝�럥利삣뜝�룞�삕', Helvetica, AppleSDGothicNeo, sans-serif;
}

.tk_btn {
	text-align: center;
	border: 1px solid;
	border-radius: 3px;
	font: 14px/1.4em "Helvetica Neue", Arial, "Lucida Grande", sans-serif;
	color: #516f83;
	border-color: #516f83 !important;
	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.8);
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	-webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	vertical-align: middle;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-box-align: center;
	position: relative;
	font-weight: bold;
	line-height: 22px;
	display: inline-table;
	width: 69px;
	height: 22px;
	background-color: #bfbfbf;
	background-image: -webkit-linear-gradient(top, #f2f2f2, #d9d9d9 3%, #bfbfbf);
}

.tk_btn_ {
	text-align: center;
	border: 1px solid;
	border-radius: 3px;
	font: 14px/1.4em "Helvetica Neue", Arial, "Lucida Grande", sans-serif;
	color: #fff;
	border-color: #274807 !important;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3);
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	-webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	vertical-align: middle;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-box-align: center;
	position: relative;
	font-weight: bold;
	line-height: 22px;
	display: inline-table;
	width: 69px;
	height: 22px;
	background-color: #6c9804;
	background-image: -webkit-linear-gradient(top, #a2e306, #7eb105 3%, #5b7f03);
}
:focus {
outline: none;
}

@media (prefers-color-scheme: dark) {
	.dark .dv_transkey_div {
		box-shadow: 1px 1px 22px var(--gray000);
	}
	
	.dark .dv_transkey_disp,
	.dark .dv_transkey_div,
	.dark .dv_transkey_div2,
	.dark .dv_transkey_div3,
	.dark .dv_transkey_div_2,
	.dark .dv_transkey_div_a,
	.dark .dv_transkey_div_a_n,
	.dark .dv_transkey_div_2_n,
	.dark .dv_transkey_div2_n,
	.dark .dv_transkey_div3_n,
	.dark .dv_transkey_div_b {
	    background: var(--gray010) !important;
	    border-color: var(--gray020) !important;
	}
	
	.dark .dv_transkey_div_b {
	    background: var(--gray005) !important;
	}
	
	.dark .dv_transkey_disp_b,
	.dark .dv_transkey_div2_2,
	.dark .dv_transkey_div3_2,
	.dark .dv_transkey_div2_1,
	.dark .dv_transkey_div3_3 {
	    filter: invert(99%) sepia(0%) saturate(2%) hue-rotate(286deg) brightness(111%) contrast(100%) !important;
	}
}